好的,这就是我的观点:
- (defun c:test (/ WorkingPoint Easting Northing Point)
- (command
- "_.mspace"
- );;end command
- (setq WorkingPoint (getpoint "\nWhere is Working Point?: "))
- (setq Northing (cadr WorkingPoint));;set "y" value of WorkingPoint to Northing
- (setq Easting (car WorkingPoint));;set "x" value of WorkingPoint to Easting
- (command
- "_.point" WorkingPoint
- );;end command
- (setq point (entlast));;set the workingpoint to point
- (command
- "_.chspace" point "" ""
- );;end command
- (setq pspacepoint (entget point))
- (setq pspace (cdr (assoc 10 pspacepoint)))
- (command
- "_.mleader" pspace "@10,-10" "WORKING POINT N "
- )
- );;end defun
我在让多重引线输入文本时遇到问题。。。我们使用的典型格式是:
工作点
N: XXXXX公司
E: XXXXX公司
我不知道如何让它像这样显示。。。思想?我尝试使用“strcat”,但它不接受我研究中的整数。
也就是坐标,是这样的“2.485834611853077E+005”,我只需要它是“248583.46”,关于如何补救这个问题,有什么想法吗?
谢谢 |